Package com.salesforce.hyperdb.grpc

## Class QueryResultHeader.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>
      - - com.salesforce.hyperdb.grpc.QueryResultHeader.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `QueryResultHeaderOrBuilder`, `Cloneable`

Enclosing class:
  QueryResultHeader

    public static final class QueryResultHeader.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>
    implements QueryResultHeaderOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryResultHeader`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryResultHeader.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultHeader` `build()`
`QueryResultHeader` `buildPartial()`
`QueryResultHeader.Builder` `clear()`
`QueryResultHeader.Builder` `clearCommand()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryResultHeader.Builder` `clearHeader()`
`QueryResultHeader.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryResultHeader.Builder` `clearSchema()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultHeader.Builder` `clone()`
`QueryCommandOk` `getCommand()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryCommandOk.Builder` `getCommandBuilder()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryCommandOkOrBuilder` `getCommandOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`QueryResultHeader.HeaderCase` `getHeaderCase()`
`QueryResultSchema` `getSchema()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultSchema.Builder` `getSchemaBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultSchemaOrBuilder` `getSchemaOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`boolean` `hasCommand()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`boolean` `hasSchema()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryResultHeader.Builder` `mergeCommand​(QueryCommandOk value)` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryResultHeader.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`QueryResultHeader.Builder` `mergeFrom​(QueryResultHeader other)`
`QueryResultHeader.Builder` `mergeSchema​(QueryResultSchema value)` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultHeader.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryResultHeader.Builder` `setCommand​(QueryCommandOk value)` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader.Builder` `setCommand​(QueryCommandOk.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryResultHeader.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryResultHeader.Builder` `setSchema​(QueryResultSchema value)` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultHeader.Builder` `setSchema​(QueryResultSchema.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultHeader.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### clear

    public QueryResultHeader.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### getDefaultInstanceForType

    public QueryResultHeader getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryResultHeader build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryResultHeader buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryResultHeader.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### setField

    public QueryResultHeader.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### clearField

    public QueryResultHeader.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### clearOneof

    public QueryResultHeader.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### setRepeatedField

    public QueryResultHeader.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      int index,
                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### addRepeatedField

    public QueryResultHeader.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### mergeFrom

    public QueryResultHeader.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultHeader.Builder>`

#### mergeFrom

    public QueryResultHeader.Builder mergeFrom​(QueryResultHeader other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### mergeFrom

    public QueryResultHeader.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryResultHeader.Builder>`
Throws:
  `IOException`

#### getHeaderCase

    public QueryResultHeader.HeaderCase getHeaderCase()

Specified by:
  `getHeaderCase` in interface `QueryResultHeaderOrBuilder`

#### clearHeader

    public QueryResultHeader.Builder clearHeader()

#### hasSchema

    public boolean hasSchema()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

Specified by:
  `hasSchema` in interface `QueryResultHeaderOrBuilder`
Returns:
  Whether the schema field is set.

#### getSchema

    public QueryResultSchema getSchema()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

Specified by:
  `getSchema` in interface `QueryResultHeaderOrBuilder`
Returns:
  The schema.

#### setSchema

    public QueryResultHeader.Builder setSchema​(QueryResultSchema value)

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### setSchema

    public QueryResultHeader.Builder setSchema​(QueryResultSchema.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### mergeSchema

    public QueryResultHeader.Builder mergeSchema​(QueryResultSchema value)

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### clearSchema

    public QueryResultHeader.Builder clearSchema()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### getSchemaBuilder

    public QueryResultSchema.Builder getSchemaBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### getSchemaOrBuilder

    public QueryResultSchemaOrBuilder getSchemaOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

Specified by:
  `getSchemaOrBuilder` in interface `QueryResultHeaderOrBuilder`

#### hasCommand

    public boolean hasCommand()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

Specified by:
  `hasCommand` in interface `QueryResultHeaderOrBuilder`
Returns:
  Whether the command field is set.

#### getCommand

    public QueryCommandOk getCommand()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

Specified by:
  `getCommand` in interface `QueryResultHeaderOrBuilder`
Returns:
  The command.

#### setCommand

    public QueryResultHeader.Builder setCommand​(QueryCommandOk value)

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### setCommand

    public QueryResultHeader.Builder setCommand​(QueryCommandOk.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### mergeCommand

    public QueryResultHeader.Builder mergeCommand​(QueryCommandOk value)

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### clearCommand

    public QueryResultHeader.Builder clearCommand()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### getCommandBuilder

    public QueryCommandOk.Builder getCommandBuilder()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### getCommandOrBuilder

    public QueryCommandOkOrBuilder getCommandOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

Specified by:
  `getCommandOrBuilder` in interface `QueryResultHeaderOrBuilder`

#### setUnknownFields

    public final QueryResultHeader.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`

#### mergeUnknownFields

    public final QueryResultHeader.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryResultHeader.Builder>`